macOSWiredNetworkConfiguration の作成

名前空間: microsoft.graph

大事な: Microsoft Graph /beta バージョンの API は変更される可能性があります。実稼働環境での使用はサポートされていません。

注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。

新しい macOSWiredNetworkConfiguration オブジェクトを作成 します。

前提条件

この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。

アクセス許可の種類 アクセス許可 (特権の小さいものから大きいものへ)
委任 (職場または学校のアカウント) DeviceManagementConfiguration.ReadWrite.All
委任 (個人用 Microsoft アカウント) サポートされていません。
アプリケーション DeviceManagementConfiguration.ReadWrite.All

HTTP 要求

POST /deviceManagement/deviceConfigurations
POST /deviceManagement/deviceConfigurations/{deviceConfigurationId}/microsoft.graph.windowsDomainJoinConfiguration/networkAccessConfigurations

要求ヘッダー

ヘッダー
Authorization ベアラー <トークン> が必要です。
承諾 application/json

要求本文

要求本文で、macOSWiredNetworkConfiguration オブジェクトの JSON 表記を指定します。

次の表に、macOSWiredNetworkConfiguration を作成するときに必要なプロパティを示します。

プロパティ 種類 説明
id String エンティティのキー。 deviceConfiguration から継承します
lastModifiedDateTime DateTimeOffset オブジェクトの最終更新の DateTime。 deviceConfiguration から継承します
roleScopeTagIds String collection この Entity インスタンスのスコープ タグの一覧。 deviceConfiguration から継承します
supportsScopeTags ブール型 基になるデバイス構成がスコープ タグの割り当てをサポートするかどうかを示します。 ScopeTags プロパティへの割り当ては、この値が false で、エンティティがスコープ付きユーザーに表示されない場合は許可されません。 これは Silverlight で作成された従来のポリシーで発生し、Azure Portal でポリシーを削除して再作成することで解決できます。 このプロパティに値を設定するには、 SetExtrusionDirection メソッドを適用します。 deviceConfiguration から継承します
deviceManagementApplicabilityRuleOsEdition deviceManagementApplicabilityRuleOsEdition このポリシーの OS エディションの適用性。 deviceConfiguration から継承します
deviceManagementApplicabilityRuleOsVersion deviceManagementApplicabilityRuleOsVersion このポリシーの OS バージョンの適用ルール。 deviceConfiguration から継承します
deviceManagementApplicabilityRuleDeviceMode deviceManagementApplicabilityRuleDeviceMode このポリシーのデバイス モードの適用ルール。 deviceConfiguration から継承します
createdDateTime DateTimeOffset オブジェクトが作成された DateTime。 deviceConfiguration から継承します
説明 String 管理者が指定した、デバイス構成についての説明。 deviceConfiguration から継承します
displayName 文字列 管理者が指定した、デバイス構成の名前。 deviceConfiguration から継承します
version Int32 デバイス構成のバージョン。 deviceConfiguration から継承します
networkName 文字列 ネットワーク名
networkInterface wiredNetworkInterface ネットワーク インターフェイス。 可能な値は、anyEthernetfirstActiveEthernetsecondActiveEthernetthirdActiveEthernetfirstEthernetsecondEthernetthirdEthernet です。
eapType eapType 拡張認証プロトコル (EAP)。 有線ネットワーク上の EAP プロトコル セットの種類を示します。 可能な値は、eapTlsleapeapSimeapTtlspeapeapFastteap です。
eapFastConfiguration eapFastConfiguration EAP-FASTが選択された EAP の種類である場合FAST EAP-FAST構成オプション。 使用可能な値: noProtectedAccessCredentialuseProtectedAccessCredentialuseProtectedAccessCredentialAndProvisionuseProtectedAccessCredentialAndProvisionAnonymously
trustedServerCertificateNames String collection EAP Type が EAP-TLS/TTLS/FASTまたは PEAP に構成されている場合の信頼済みサーバー証明書名。 これは、信頼できる証明機関 (CA) によって発行された証明書で使用される一般的な名前です。 この情報を提供する場合は、この有線ネットワークに接続するときにエンド ユーザー デバイスに表示される動的信頼ダイアログをバイパスできます。
authenticationMethod wiFiAuthenticationMethod EAP Type が PEAP または EAP-TTLS に構成されている場合の認証方法。 可能な値は certificateusernameAndPasswordderivedCredential です。
nonEapAuthenticationMethodForEapTtls nonEapAuthenticationMethodForEapTtlsType EAP の種類が EAP-TTLS で、Authenticationmethod がユーザー名とパスワードである場合の認証 (内部 ID) の非 EAP 方式。 使用可能な値: unencryptedPasswordchallengeHandshakeAuthenticationProtocolmicrosoftChapmicrosoftChapVersionTwo
enableOuterIdentityPrivacy String EAP Type が EAP-TTLS、EAP-TTLS、EAP-FASTまたは PEAP に構成されている場合は、ID プライバシー (外部 ID) を有効にする。 このプロパティは、入力したテキストでユーザー名をマスクします。 たとえば、"匿名" を使用する場合、実際のユーザー名を使用してこの有線ネットワークで認証を行う各ユーザーは、"匿名" と表示されます。

応答

成功した場合、このメソッドは応答 201 Created コードと、応答本文の macOSWiredNetworkConfiguration オブジェクトを返します。

要求

以下は、要求の例です。

POST https://graph.microsoft.com/beta/deviceManagement/deviceConfigurations
Content-type: application/json
Content-length: 1499

{
  "@odata.type": "#microsoft.graph.macOSWiredNetworkConfiguration",
  "roleScopeTagIds": [
    "Role Scope Tag Ids value"
  ],
  "supportsScopeTags": true,
  "deviceManagementApplicabilityRuleOsEdition": {
    "@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsEdition",
    "osEditionTypes": [
      "windows10EnterpriseN"
    ],
    "name": "Name value",
    "ruleType": "exclude"
  },
  "deviceManagementApplicabilityRuleOsVersion": {
    "@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsVersion",
    "minOSVersion": "Min OSVersion value",
    "maxOSVersion": "Max OSVersion value",
    "name": "Name value",
    "ruleType": "exclude"
  },
  "deviceManagementApplicabilityRuleDeviceMode": {
    "@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleDeviceMode",
    "deviceMode": "sModeConfiguration",
    "name": "Name value",
    "ruleType": "exclude"
  },
  "description": "Description value",
  "displayName": "Display Name value",
  "version": 7,
  "networkName": "Network Name value",
  "networkInterface": "firstActiveEthernet",
  "eapType": "leap",
  "eapFastConfiguration": "useProtectedAccessCredential",
  "trustedServerCertificateNames": [
    "Trusted Server Certificate Names value"
  ],
  "authenticationMethod": "usernameAndPassword",
  "nonEapAuthenticationMethodForEapTtls": "challengeHandshakeAuthenticationProtocol",
  "enableOuterIdentityPrivacy": "Enable Outer Identity Privacy value"
}

応答

以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。

HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 1671

{
  "@odata.type": "#microsoft.graph.macOSWiredNetworkConfiguration",
  "id": "e5a57519-7519-e5a5-1975-a5e51975a5e5",
  "lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
  "roleScopeTagIds": [
    "Role Scope Tag Ids value"
  ],
  "supportsScopeTags": true,
  "deviceManagementApplicabilityRuleOsEdition": {
    "@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsEdition",
    "osEditionTypes": [
      "windows10EnterpriseN"
    ],
    "name": "Name value",
    "ruleType": "exclude"
  },
  "deviceManagementApplicabilityRuleOsVersion": {
    "@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsVersion",
    "minOSVersion": "Min OSVersion value",
    "maxOSVersion": "Max OSVersion value",
    "name": "Name value",
    "ruleType": "exclude"
  },
  "deviceManagementApplicabilityRuleDeviceMode": {
    "@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleDeviceMode",
    "deviceMode": "sModeConfiguration",
    "name": "Name value",
    "ruleType": "exclude"
  },
  "createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
  "description": "Description value",
  "displayName": "Display Name value",
  "version": 7,
  "networkName": "Network Name value",
  "networkInterface": "firstActiveEthernet",
  "eapType": "leap",
  "eapFastConfiguration": "useProtectedAccessCredential",
  "trustedServerCertificateNames": [
    "Trusted Server Certificate Names value"
  ],
  "authenticationMethod": "usernameAndPassword",
  "nonEapAuthenticationMethodForEapTtls": "challengeHandshakeAuthenticationProtocol",
  "enableOuterIdentityPrivacy": "Enable Outer Identity Privacy value"
}